Fetch authorization details for a team
/teams/{id}/authzFetch authorization details of members for a team. Oldest members appear first in the list of members.
The can_invite_roles field indicates what roles new team members can
be invited as by the current user. The can_change_billing field
indicates whether the current user is allowed to change billing
settings (upgrade/downgrade plans) for the team; only applicable to the
hosted cloud environment. can_create_app, can_rename_app,
can_change_retention, can_rotate_api_key, can_write_sdk_config,
can_rename_team, can_manage_slack and
can_change_app_threshold_prefs indicate whether the current user can
perform the corresponding action. The
current_user_assignable_roles_for_member field in each member's
authz object indicates what roles the current user is allowed to
assign for that particular member, and current_user_can_remove_member
indicates whether the current user is allowed to remove that member
from the team.
Authorization
bearerAuth User access token issued at sign-in. Sent as
Authorization: Bearer <access-token> unless cookies are used to send
tokens. The /auth/refresh and /auth/signout endpoints expect the
session's refresh token in the same header format instead.
In: header
Path Parameters
Team's UUID.
uuidResponse Body
application/json
curl -X GET "https://example.com/teams/497f6eca-6276-4993-bfeb-53cbbbba6f08/authz"{ "can_invite_roles": [ "owner", "admin", "developer", "viewer" ], "can_change_billing": true, "can_create_app": true, "can_rename_app": true, "can_change_retention": true, "can_rotate_api_key": true, "can_write_sdk_config": true, "can_rename_team": true, "can_manage_slack": true, "can_change_app_threshold_prefs": true, "members": [ { "id": "7737299c-82cb-4769-8fed-b313a230aa9d", "name": "User 1", "email": "user1@gmail.com", "role": "owner", "last_sign_in_at": "2024-01-19T08:30:04.915Z", "created_at": "2024-01-17T08:22:28.274Z", "authz": { "current_user_assignable_roles_for_member": [ "owner", "admin", "developer", "viewer" ], "current_user_can_remove_member": true } } ]}Think this page can be better?
Open an issue